﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace RadGridView_WPF_NoXAML_25
{
    class CountriesConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var items = value as ObservableCollection<string>;
            StringBuilder returnItems = new StringBuilder();
            if (items.Count != 0)
            {
                if (items.Count > 1)
                {
                    foreach (var item in items)
                    {
                        if (item != items.Last())
                        {
                            returnItems.Append(item.ToString());
                            returnItems.Append(", ");
                        }
                        else
                        {
                            returnItems.Append(item.ToString());
                        }

                    }
                }
                else
                {
                    returnItems.Append(items[0].ToString());
                }

            }

            return returnItems;
        }

     
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;

        }

     
    }
}
