﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_NoXAML_25
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {

        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {

        }

        private void RadComboBox_Loaded(object sender, RoutedEventArgs e)
        {
            var club = (sender as RadComboBox).DataContext as Club;

            foreach (var item in club.Players)
            {
                (sender as RadComboBox).SelectedItems.Add(item);
            }

            (sender as RadComboBox).SelectionChanged += RadComboBox_SelectionChanged;

        }
        
        private void RadComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var combobox = sender as RadComboBox;
            if (combobox != null && combobox.SelectedItems != null)
            {
                var item = combobox.DataContext as Club;
                item.Players.Clear();
                foreach (var selectedItem in combobox.SelectedItems)
                {
                    string player = selectedItem.ToString();
                    item.Players.Add(player);
                }
            }
        }
    }
}
